import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const dashboardGetTicketService = createAsyncThunk(
  "DASHBOARD__GET_TICKET_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "get_unread_ticket_for_dashboard/",
      {
        params: {
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
